[oe-commits] [openembedded-core] 11/11: icecc-env: don't raise error when icecc not installed

git at git.openembedded.org git at git.openembedded.org
Sat Feb 16 08:20:31 UTC 2019


This is an automated email from the git hooks/post-receive script.

rpurdie pushed a commit to branch master
in repository openembedded-core.

commit 27a8c14039970105238b66b9f3025435cb7e8a58
Author: Adam Trhon <adam.trhon at tbs-biometrics.com>
AuthorDate: Tue Feb 12 12:14:58 2019 +0000

    icecc-env: don't raise error when icecc not installed
    
    When icecc is not installed, the `which icecc` command in icecc-env.sh
    returns nonzero. This happens when environment is being sourced. When
    the terminal has `set -e`, the whole script fails and terminal is
    closed.
    
    Fix this by ignoring errors from the which command.
    
    Signed-off-by: Adam Trhon <adam.trhon at tbs-biometrics.com>
    Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>
---
 meta/recipes-devtools/icecc-toolchain/icecc-toolchain/icecc-env.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta/recipes-devtools/icecc-toolchain/icecc-toolchain/icecc-env.sh b/meta/recipes-devtools/icecc-toolchain/icecc-toolchain/icecc-env.sh
index 81b3018..0dccc41 100644
--- a/meta/recipes-devtools/icecc-toolchain/icecc-toolchain/icecc-env.sh
+++ b/meta/recipes-devtools/icecc-toolchain/icecc-toolchain/icecc-env.sh
@@ -21,7 +21,7 @@
 #
 
 if [ -z "$ICECC_PATH" ]; then
-    ICECC_PATH=$(which icecc 2> /dev/null)
+    ICECC_PATH=$(which icecc 2> /dev/null || true)
 fi
 
 if [ -n "$ICECC_PATH" ]; then

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the Openembedded-commits mailing list